function [xx, it] = newtonmv(x, f, jf, n, tol)
it = 0;
xx = x;
fx = feval(f, xx);
while norm(fx) > tol
   Jx = feval(jf, xx);
   xx = xx - Jx \ fx;
   fx = feval(f, xx);
   it = it + 1;
   fprintf('Iteration %d: approx root = [%f,%f]\n', it, xx(1), xx(2));
end;
